## EXPORT_SPEC IXML_Node* ixmlNode_cloneNode

## (IXML_Node* nodeptr,
BOOL deep )

> Clones a Node.

## Documentation

> Clones a Node. The new Node does not have a parent. The deep parameter controls whether the subtree of the Node is also cloned. For details on cloning specific types of Nodes, refer to the DOM2-Core recommendation.

Parameters:
  nodeptr - The Node to clone.
  deep - `TRUE` to clone the subtree also or `FALSE` to clone only nodeptr.
Returns:
  [Node*] A clone of nodeptr or `NULL`.

Alphabetic index

This page was generated with the help of DOC++.